Skip to main content
POST
/
storage
Create persistent volume
curl --request POST \
  --url https://runcrate.ai/api/v1/storage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "size_gb": 5005,
  "region": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "sizeGb": 123,
    "status": "<string>",
    "region": "<string>",
    "providerType": "<string>",
    "deploymentId": "<string>",
    "projectId": "<string>",
    "environmentId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

application/json
name
string
required
size_gb
integer
required

Size in GB. Must be between 10 and 10000.

Required range: 10 <= x <= 10000
region
string
required

Response

Volume created.

data
object
required